/*------------------------------------*\
    #MAIN-STAGE
\*------------------------------------*/
/**
 * Main stage component with simple donation form.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

$inuit-main-stage-space-vertical: frs-double($inuit-base-space-vertical) !default;

.#{$inuit-namespace}main-stage,
%#{$inuit-namespace}main-stage {
    max-width: 100%;
    position: relative;

    %#{$inuit-namespace}stage-teaser__wrapper,
    .#{$inuit-namespace}stage-teaser__wrapper {
        top: auto;
        bottom: 0;
        h2 p,
        h3 p {
            margin: 0;
        }
        h2 {
            display: inline-block;
            width: auto;
            font-size: 2rem;
            margin: 0.735294rem auto 0.367647rem auto;
        }
        h3 {
            display: inline-block;
            width: auto;
        }
        @media (max-width:700px) {
            h2,
            .donaterange_button strong {
                font-size: 1.6rem !important;
            }
            h2 {
                display: inline-block;
                margin-bottom: 1rem;
            }
        }
    }
}

.#{$inuit-namespace}main-stage__title,
%#{$inuit-namespace}main-stage__title {
    color: $frs-color-light-red;
    font-size: $h2-font-size;
    line-height: normal;
    margin: 0;
    padding-left: 25%;
    position: absolute;
    text-align: left;
    top: 5%;
    width: 100%;
    z-index: 1;

    @media #{$medium-up}{
        top: 7%;
        padding-left: 0;
        font-size: $h1-font-size-medium-up;
        text-align: center;
    }

    @media #{$large-up}{
        top: 17%;
        font-size: $h1-font-size-large-up;
    }
}

.#{$inuit-namespace}main-stage__img-wrap,
%#{$inuit-namespace}main-stage__img-wrap {
    margin: 0;
    overflow: hidden;
    width: 100%;
}
.#{$inuit-namespace}header-slider .#{$inuit-namespace}main-stage__img-wrap,
.#{$inuit-namespace}header-slider %#{$inuit-namespace}main-stage__img-wrap {
    max-height: 628px;
}

.#{$inuit-namespace}main-stage__imagewrap,
%#{$inuit-namespace}main-stage__imagewrap {
    position: relative;
    @media (max-width:700px) {
        .donaterange_button .button {
            position: relative;
            z-index: 10;
        }
    }
}

.#{$inuit-namespace}main-stage__image,
%#{$inuit-namespace}main-stage__image {
    display: inline-block;
    width: 100%;

    @media #{$medium-up} {
        width: 100%;
        max-width: 100%;
        margin-left: 0;
    }
}

.#{$inuit-namespace}main-stage__footer,
%#{$inuit-namespace}main-stage__footer {
    padding-top: $inuit-base-space-vertical-small-only;

    @media #{$medium-up} {
        padding-top: frs-halve($inuit-main-stage-space-vertical);
    }
}

@if $theme == "reloaded" {
    #{$inuit-namespace}main-stage,
    %#{$inuit-namespace}main-stage {
        %#{$inuit-namespace}stage-teaser__wrapper,
        .#{$inuit-namespace}stage-teaser__wrapper {
            h2 {
                display: block !important;
                width: auto;
                margin: 0;
            }
            @media (max-width:700px) {
                h2 {
                    display: block !important;
                }
            }
        }
    }

    .#{$inuit-namespace}main-stage__imagewrap,
    %#{$inuit-namespace}main-stage__imagewrap {
        overflow:hidden;
            &.gradient-black {
                > figure > a:before {
                    content:'';
                    background: linear-gradient(90deg, rgba(0,0,0,0.9) 0%, rgba(255,255,255,0) 100%);
                    display: block;
                    width: 75%;
                    height: 100%;
                    position: absolute;
                    z-index: 0;
                }
            }
            &.gradient-grey {
                > figure > a:before {
                    content:'';
                    background: linear-gradient(90deg, rgba(0,0,0,0.6) 0%, rgba(255,255,255,0) 100%);
                    display: block;
                    width: 75%;
                    height: 100%;
                    position: absolute;
                    z-index: 0;
                }
            }
            &.gradient-white {
                > figure > a:before {
                    content:'';
                    background: linear-gradient(90deg, rgba(255,255,255,0.9) 0%, rgba(255,255,255,0) 100%);
                    display: block;
                    width: 75%;
                    height: 100%;
                    position: absolute;
                    z-index: 0;
                }
                .c-stage-teaser__headline {
                    color:$frs-color-grey;
                }
            }
            &.gradient-red {
                > figure > a:before {
                    content:'';
                    background: linear-gradient(90deg, rgba(230,0,5,0.9) 0%, rgba(230,0,5,0) 100%);
                    display: block;
                    width: 75%;
                    height: 100%;
                    position: absolute;
                    z-index: 0;
                }
            }
            &.gradient-blue {
                > figure > a:before {
                    content:'';
                    background: linear-gradient(90deg, rgba(0,45,85, 0.9) 0%, rgba(230,0,5,0) 100%);
                    display: block;
                    width: 75%;
                    height: 100%;
                    position: absolute;
                    z-index: 0;
                }
            }
            &.header-black {
                > div > div > div > strong {
                    color:$frs-color-black;
                }
            }
            &.header-grey {
                > div > div > div > strong {
                    color:$frs-color-grey;
                }
            }
            &.header-white {
                > div > div > div > strong {
                    color:$frs-color-white;
                }
            }
            &.header-red {
                > div > div > div > strong {
                    color:$frs-color-red;
                }
            }
            &.header-blue {
                > div > div > div > strong {
                    color:$frs-color-blue;
                }
            }
    }
    .#{$inuit-namespace}header-slider .#{$inuit-namespace}main-stage__img-wrap,
    .#{$inuit-namespace}header-slider %#{$inuit-namespace}main-stage__img-wrap {
        position:relative;
    }
}
